Doubao-Seedream-5.0-pro(同步任务)
bytedance/doubao-seedream-5-0-pro
同步任务:/v1/images/generations,直接返回结果。
BASE URL
https://router.shengsuanyun.com/api认证方式
Authorization: Bearer YOUR_API_KEY端点列表
POST/v1/images/generations豆包 图像生成-同步
同步接口:直接返回生成结果。
请求体
application/json
object
anyOf · 1
| 字段 | 类型 | 说明 |
|---|---|---|
prompt必填 | stringtextarea | |
size | string | 可选值:"1024x1024" · "1152x864" · "864x1152" · "1424x800" · "800x1424" · "1248x832" · "832x1248" · "1568x672" · "2048x2048" · "2368x1776" · "1776x2368" · "2816x1584" · "1584x2816" · "2496x1664" · "1664x2496" · "3136x1344" |
output_format | string | 可选值:"jpeg" · "png" |
watermark | boolean | |
model必填 | string | 路由模型,本页固定为 bytedance/doubao-seedream-5-0-pro |
anyOf · 2
| 字段 | 类型 | 说明 |
|---|---|---|
prompt必填 | stringtextarea | |
image必填 | array | 展开结构
数组元素
|
size | string | 可选值:"1024x1024" · "1152x864" · "864x1152" · "1424x800" · "800x1424" · "1248x832" · "832x1248" · "1568x672" · "2048x2048" · "2368x1776" · "1776x2368" · "2816x1584" · "1584x2816" · "2496x1664" · "1664x2496" · "3136x1344" |
output_format | string | 可选值:"jpeg" · "png" |
watermark | boolean | |
model必填 | string | 路由模型,本页固定为 bytedance/doubao-seedream-5-0-pro |
{
"prompt": "string",
"size": "1024x1024",
"output_format": "jpeg",
"watermark": false,
"model": "bytedance/doubao-seedream-5-0-pro"
}请求示例
参考地址:https://router.shengsuanyun.com/api。路径参数与凭据需替换;非 JSON 请求体需按对应格式准备。
curl -X POST 'https://router.shengsuanyun.com/api/v1/images/generations' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
--data '{
"prompt": "string",
"size": "1024x1024",
"output_format": "jpeg",
"watermark": false,
"model": "bytedance/doubao-seedream-5-0-pro"
}'